# Contributing

Thanks for your interest in contributing to this project!

We want to make contributing as easy and transparent as possible.


## Code of Conduct

Our code of conduct is described in [CODE_OF_CONDUCT.md](CODE_OF_CONDUCT.md).
Please follow it in all your interactions with the project.


## Issues

We use GitHub issues to track bugs and feature requests. Please ensure your description is clear and has sufficient instructions to be able to reproduce the issue.


## Pull Requests

Before you make a substantial pull request, please file an issue and make sure someone from the team agrees that there is a problem or room for improvement.


### License

By contributing your code, you agree to license your contribution under the [Eclipse Public License 2.0](LICENSE.txt).


### Source Code Formatting

Before committing your code ensure it is formatted according the [vegardit.com Eclipse formatter rules](https://github.com/vegardit/vegardit-maven-parent/blob/main/src/etc/eclipse-formatter.xml).

IntelliJ users can use the [Eclipse Code Formatter](https://plugins.jetbrains.com/plugin/6546-eclipse-code-formatter) plugin to import and use the formatter settings.
